/********************************************************************
 FileName:    	outputs.h
 Dependencies: 	none
 Hardware:	Aguijon rev3.0 & rev4.0
 Complier:  	Microchip XC16, C30
 Company:	Vinagrn Digital
 Author:	Juan Carlos Orozco Gutierrez

 Software License Agreement:

 This software has been licensed under the GNU General Public
 License is intended to guarantee your freedom to share and change free
 software--to make sure the software is free for all its users.

********************************************************************
 File Description:
    outputs header file


 Change History:
  Rev   Description                                 Modified by:
  ----  -----------------------------------------  --------------
  1.0   Initial release                             JCOG
  2.0   Updated with [VD] HammerHead libraries      JCOG

 For extra documentation and support:
 *  http://www.vinagrondigital.com
********************************************************************/

#ifndef OUTPUTS_H
#define	OUTPUTS_H

#define PWM_CONV_FACTOR 16

/* Relays */
BOOL        RLY_Get             (int num);
void        RLY_Set             (int num, BOOL state);
void        RLY_Toggle          (int num);

/* Open Collector */
BOOL        OC_Get              (int num);
void        OC_Set              (int num, BOOL state);
void        OC_Toggle           (int num);
void        OC_PWMSet           (int period, int duty_cycle);
void        OC_PWMChannelConfig (int num);

/* LEDs */
BOOL        LED_Get             (int num);
void        LED_Set             (int num, BOOL state);
void        LED_Toggle          (int num);
BYTE        LEDport_Get         (void);
void        LEDport_Set         (unsigned char value, BOOL invert);

/* Buzzer */
void        Buzzer_On           (int period, int duty_cycle);
inline void Buzzer_Off          (void);
void        Buzzer_Chime        (void);


#if defined(AGUIJON_REV_4) || defined(AGUIJON_REV_41)
    BOOL StatusLED_Get      (unsigned char color);
    void StatusLED_Set      (int color, BOOL state);
    void StatusLED_Toggle   (int color);
#endif


#endif	/* OUTPUTS_H */

