/********************************************************************
 FileName:    	stepper.c
 Dependencies: 	aguijon.h
 Hardware:	Aguijon rev3.0 & rev4.0
 Complier:  	Microchip XC16, C30
 Company:	Vinagrn Digital
 Author:	Juan Carlos Orozco Gutierrez

 Software License Agreement:

 This software has been licensed under the GNU General Public
 License is intended to guarantee your freedom to share and change free
 software--to make sure the software is free for all its users.

********************************************************************
 File Description:
    stepper Support File


 Change History:
  Rev   Description                                 Modified by:
  ----  -----------------------------------------  --------------
  1.0   Initial release                             DIRD

 For extra documentation and support:
 *  http://www.vinagrondigital.com
********************************************************************/

#include "aguijon.h"
#include "stepper.h"

MOTOR_CONTROL_t Unipolar;


/*unipolar Stepper Motor*/

void Unipolar_Set(BOOL Mode, int Steps, int Speed)
{
    Unipolar.Set_mode  = Mode;
    Unipolar.Set_Steps = Steps;
    Unipolar.Set_speed = Speed;
}
///////////////////////////////////////////////////////////////////////////////

void Steps(int latets_steps)
{
    int i, x ;
    int sequence_half  [8]={8,12,4,6,2,3,1,9};          //Sequence of half step
    int sequence_simple[8]={8,4,2,1,8,4,2,1};           //Sequence of simple step

    while(latets_steps!=0)                         //While steps are different than 0
    {
        x=(latets_steps>0) ? 7 : x;                //If steps is greater than 0, X value is 7
        x=(latets_steps<0) ? 0 : x;                //If steps is less than 0, X value is 0

        for(i=0;i<8;i++)
        {
            LATD=(Unipolar.Set_mode) ? sequence_simple[x] : sequence_half[x];
            x=(latets_steps>0) ? x-1 : x;
            x=(latets_steps<0) ? x+1 : x;
            latets_steps=(latets_steps>0) ? latets_steps-1 : latets_steps;
            latets_steps=(latets_steps<0) ? latets_steps+1 : latets_steps;
            delayms(Unipolar.Set_speed);            //Delay time speed
            if(latets_steps==0){break;}                    //If steps is 0. break
        }
    }
    LATD=0;
}
//////////////////////////////////////////////////////////////////////////////

void Degrees(int degrees)
{
    int presteps=0, steps=0;
    presteps=(degrees*Unipolar.Set_Steps);
    steps=presteps/360;
    Steps(steps);
}
///////////////////////////////////////////////////////////////////////////////


