/********************************************************************
 FileName:    	stepper.h
 Dependencies: 	none
 Hardware:	Aguijon rev3.0 & rev4.0
 Complier:  	Microchip XC16, C30
 Company:	Vinagrn Digital
 Author:	Juan Carlos Orozco Gutierrez

 Software License Agreement:

 This software has been licensed under the GNU General Public
 License is intended to guarantee your freedom to share and change free
 software--to make sure the software is free for all its users.

********************************************************************
 File Description:
    stepper header file


 Change History:
  Rev   Description                                 Modified by:
  ----  -----------------------------------------  --------------
  1.0   Initial release                             DIRD

 For extra documentation and support:
 *  http://www.vinagrondigital.com
********************************************************************/

#ifndef STEPPER_H
#define	STEPPER_H

#define MODE_SIMPLE_STEP ON
#define MODE_HALF_STEP   OFF

#define SPEED_MOTOR_MIN 500
#define SPEED_MOTOR_1   410
#define SPEED_MOTOR_2   330
#define SPEED_MOTOR_3   250
#define SPEED_MOTOR_4   170
#define SPEED_MOTOR_5   90
#define SPEED_MOTOR_MAX 10

/* unipolar stepper */
void          Steps                             (int steps);
void          Degrees                           (int degrees);
void          Unipolar_Set                      (BOOL Mode, int Steps, int Speed);

typedef struct __MOTOR_CONTROL__{
    BOOL          Set_mode         ;   //Set motor mode
    unsigned int  Set_Steps        ;   //Set motor steps
    unsigned int  Set_speed        ;   //Set mtor speed
}MOTOR_CONTROL_t;

#endif	/* STEPPER_H */

