/********************************************************************
 FileName:    	InputCapture.c
 Dependencies: 	aguijon.h
 Hardware:	Aguijon rev3.0 & rev4.0
 Complier:  	Microchip XC16, C30
 Company:	Vinagrn Digital
 Author:	Juan Carlos Orozco Gutierrez

 Software License Agreement:

 This software has been licensed under the GNU General Public
 License is intended to guarantee your freedom to share and change free
 software--to make sure the software is free for all its users.

********************************************************************
 File Description:
    InputCapture Support File


 Change History:
  Rev   Description                                 Modified by:
  ----  -----------------------------------------  --------------
  1.0   Initial release                             DIRD

 For extra documentation and support:
 *  http://www.vinagrondigital.com
********************************************************************/
#include "aguijon.h"
#include "InputCapture.h"
#include "GenericTypeDefs.h"
#include <PPS.h>

unsigned int capture1=0;
unsigned int capture2=0;
///////////////////////////////////////
void InputCapture_Init (void)
{
    IFS0bits.IC1IF = 0; // Clear the IC1 interrupt status flag
    IEC0bits.IC1IE = 1; // Enable IC1 interrupts
    IPC0bits.IC1IP = 1; // Set module interrupt priority as 1


    IC1CON1 = 0x1C23; // Turn on Input Capture 1 Module
    IC1CON2 = 0x0040; // Turn on Input Capture 1 Module

    PPSUnLock;      // unlock remmapable pins
    iPPSInput(IN_FN_PPS_IC1, EXP_PORT2_PIN3_RPIN);    // Set RP1 to External Interrupt 1
    PPSLock;        // Lock remmapable pins
}

UINT32 Input_Frequency (void)
{
    UINT32 frequency = 0;

    frequency=FCY/(capture2-capture1);

    return frequency;
}

UINT32 Input_Period (void)
{
    UINT32 period = 0;

    period=(capture2-capture1)/CYCLES_uSEG;

    return period;
}

/* InputCapture Receive interrupt*/
void __attribute__ ((__interrupt__, no_auto_psv)) _IC1Interrupt(void)
{
IFS0bits.IC1IF = 0; // Reset respective interrupt flag
capture1 = IC1BUF; // Read and save off first capture entry
capture2 = IC1BUF; // Read and save off second capture entry
}
