/********************************************************************
 FileName:    	Servomotor.h
 Dependencies: 	none
 Hardware:	Aguijon rev3.0 & rev4.0
 Complier:  	Microchip XC16, C30
 Company:	Vinagrn Digital
 Author:	Juan Carlos Orozco Gutierrez

 Software License Agreement:

 This software has been licensed under the GNU General Public
 License is intended to guarantee your freedom to share and change free
 software--to make sure the software is free for all its users.

********************************************************************
 File Description:
    Servomotor header file


 Change History:
  Rev   Description                                 Modified by:
  ----  -----------------------------------------  --------------
  1.0   Initial release                             DIRD

 For extra documentation and support:
 *  http://www.vinagrondigital.com
********************************************************************/

#ifndef SERVOMOTOR_H
#define	SERVOMOTOR_H


#define SERVO_PERIOD 40000
#define DEGREES_CONV_FACTOR 21
#define START_POSITION 1000

void            SERVO_Init      (void);
void            SERVO_Config    (unsigned char num);
void            SERVO_Set       (unsigned char num , unsigned int degrees);


#endif	/* SERVOMOTOR_H */

