/********************************************************************
 FileName:    	make_wav.h
 Dependencies: 	none
 Hardware:	Aguijon rev3.0 & rev4.0
 Complier:  	Microchip XC16, C30
 Company:	Vinagr�n Digital
 Author:	Juan Carlos Orozco Gutierrez

 Software License Agreement:

 This software has been licensed under the GNU General Public
 License is intended to guarantee your freedom to share and change free
 software--to make sure the software is free for all its users.

********************************************************************
 File Description:
    make_wav header file


 Change History:
  Rev   Description                                 Modified by:
  ----  -----------------------------------------  --------------
  1.0   Initial release                             DIRD

 For extra documentation and support:
 *  http://www.vinagrondigital.com
********************************************************************/

#ifndef MAKE_WAV_H
#define MAKE_WAV_H

#define BYTES_PER_SAMPLE  2
#define NUM_CHANNELS      1  //monoaural

void WAV_Init   (char * filename,int s_rate);
void WAV_Add    (unsigned int * data, unsigned int size);
void WAV_Close  (void);


    /* open a file named filename, write signed 16-bit values as a
        monoaural WAV file at the specified sampling rate
        and close the file
    */

#endif	/* MAKE_WAV_H */

