/********************************************************************
 FileName:    	main.c
 Dependencies: 	aguijon.h
 Hardware:	Aguijon rev3.0, rev4.0 & rev4.1
 Complier:  	Microchip XC16, C30
 Company:	Vinagrn Digital
 Author:	Juan Carlos Orozco Gutierrez

 Software License Agreement:

 This software has been licensed under the GNU General Public
 License is intended to guarantee your freedom to share and change free
 software--to make sure the software is free for all its users.

********************************************************************
 File Description:
    Main Application file 36

 Change History:
  Rev   Description                                 Modified by:
  ----  -----------------------------------------  --------------
  1.0   Initial release                             RASH

 For extra documentation and support:
 *  http://www.vinagrondigital.com
********************************************************************/
#include "aguijon.h"
#include "EEPROM.h"             //EEPROM support
#include "IO.h"                 //IO support
#include "inputs.h"             //inputs support
#include "LCD.h"                //LCD support
#include "outputs.h"            //output support
#include "matrix_keyboard.h"    //matrix keyboard support






///////////////////////////////////////
void HammerHead_Init(void)
{
    /*GPIO*/
    IO_Init();        //initialize all ports
    IO_PWMinit();


    /*LCD*/
    LCD_Init(OFF);

#if defined(USE_LCD_EXTRA_FEATURES)
    LCD_BacklightFadeIn();
#else
    LCD_BacklightSet(BLIGHT_LVL_4);
#endif



    LEDport_Set(0xFF,OFF);
}

///////////////////////////////////////


int main(void)
{

    /* Variables Declaration */
    unsigned char key  = 0;
    unsigned char key2 = 0;
    char lcdMSG[20];


    HammerHead_Init();  //initialize [VD]HammerHead
    LCD_IntroAnimation();
    LCD_PutStr(1,0,"Vinagron Digital ",ON);
    LCD_PutStr(2,0,"Application Note 36",OFF);
    delayms(1000);

    //Create a String for LCD_PutStr
    LCD_PutStr(1,0,"Matrix Keyboard ",ON);
    delayms(1000);
   



    for(;;){


        key  = Matrix_Keyboard_Read_J5();
        key2 = Matrix_Keyboard_ReadPort_J5();


        //Create a String for LCD_PutStr
        sprintf(lcdMSG,"Value: %c ",key2);
        LCD_PutStr(1,0,"Toggle the RLY'S ",OFF);
        LCD_PutStr(2,0,lcdMSG,OFF);


        switch(key){

            case '1':
                RLY_Toggle(1);
                break;

            case '2':
                RLY_Toggle(2);
                break;

            case '3':
                RLY_Toggle(3);
                break;

            case '4':
                RLY_Toggle(4);
                break;
        }

    }

    return 0;
}
