/********************************************************************
 FileName:    	main.c
 Dependencies: 	aguijon.h
 Hardware:	Aguijon rev3.0, rev4.0 & rev4.1
 Complier:  	Microchip XC16, C30
 Company:	Vinagrn Digital
 Author:	Juan Carlos Orozco Gutierrez

 Software License Agreement:

 This software has been licensed under the GNU General Public
 License is intended to guarantee your freedom to share and change free
 software--to make sure the software is free for all its users.

********************************************************************
 File Description:

 Change History:
  Rev   Description                                 Modified by:
  ----  -----------------------------------------  --------------
  1.0   Initial release                             RASH

 For extra documentation and support:
 *  http://www.vinagrondigital.com
********************************************************************/

#ifndef MATRIX_KEYBOARD_H
#define	MATRIX_KEYBOARD_H

#include "aguijon.h"
#include "BSP.h"


/* MATRIX KEYBOARD PORTS 1 & 2
 *
 * Defines which port
 * you want to use.
 *
 * You can select both ports */


#define MATRIX_KEYBOARD_PORT1_J5     //<--------  PORT 1 J5

//#define MATRIX_KEYBOARD_PORT2_J6     //<--------  PORT 2 J6

/*******************************/



void PORTX_SET_J5 (int value);
unsigned char  PORTX_GET_J5                (void);
unsigned char  Check_Value_Keyboard_J5     (void);
unsigned char  Matrix_Keyboard_Read_J5     (void);
unsigned char  Matrix_Keyboard_ReadPort_J5 (void);



void PORTX_SET_J6 (int value);
unsigned char  PORTX_GET_J6                (void);
unsigned char  Check_Value_Keyboard_J6     (void);
unsigned char  Matrix_Keyboard_Read_J6     (void);
unsigned char  Matrix_Keyboard_ReadPort_J6 (void);




/************ Defines in IO.h ****************/


#if defined (AGUIJON_REV_41)

#if defined (MATRIX_KEYBOARD_PORT1_J5)

#define PORT_J5_SET_PIN1    EXP_PORT1_PIN12_LAT
#define PORT_J5_SET_PIN2    EXP_PORT1_PIN11_LAT
#define PORT_J5_SET_PIN3    EXP_PORT1_PIN10_LAT
#define PORT_J5_SET_PIN4    EXP_PORT1_PIN9_LAT
#define PORT_J5_SET_PIN5    EXP_PORT1_PIN8_LAT


#define PORT_J5_GET_PIN1    EXP_PORT1_PIN7_PORT
#define PORT_J5_GET_PIN2    EXP_PORT1_PIN6_PORT
#define PORT_J5_GET_PIN3    EXP_PORT1_PIN5_PORT
#define PORT_J5_GET_PIN4    EXP_PORT1_PIN4_PORT
#define PORT_J5_GET_PIN5    EXP_PORT1_PIN3_PORT


#endif



#if defined (MATRIX_KEYBOARD_PORT2_J6)

#define PORT_J6_SET_PIN1   EXP_PORT2_PIN12_LAT
#define PORT_J6_SET_PIN2   EXP_PORT2_PIN11_LAT
#define PORT_J6_SET_PIN3   EXP_PORT2_PIN10_LAT
#define PORT_J6_SET_PIN4   EXP_PORT2_PIN9_LAT
#define PORT_J6_SET_PIN5   EXP_PORT2_PIN8_LAT


#define PORT_J6_GET_PIN1   EXP_PORT2_PIN7_PORT
#define PORT_J6_GET_PIN2   EXP_PORT2_PIN6_PORT
#define PORT_J6_GET_PIN3   EXP_PORT2_PIN5_PORT
#define PORT_J6_GET_PIN4   EXP_PORT2_PIN4_PORT
#define PORT_J6_GET_PIN5   EXP_PORT2_PIN3_PORT


#endif



#elif defined (AGUIJON_REV_4)


#if defined (MATRIX_KEYBOARD_PORT1_J5)

#define PORT_J5_SET_PIN1    EXP_PORT1_PIN2_LAT
#define PORT_J5_SET_PIN2    EXP_PORT1_PIN3_LAT
#define PORT_J5_SET_PIN3    EXP_PORT1_PIN4_LAT
#define PORT_J5_SET_PIN4    EXP_PORT1_PIN5_LAT
#define PORT_J5_SET_PIN5    EXP_PORT1_PIN6_LAT


#define PORT_J5_GET_PIN1    EXP_PORT1_PIN9_PORT
#define PORT_J5_GET_PIN2    EXP_PORT1_PIN10_PORT
#define PORT_J5_GET_PIN3    EXP_PORT1_PIN11_PORT
#define PORT_J5_GET_PIN4    EXP_PORT1_PIN12_PORT
#define PORT_J5_GET_PIN5    EXP_PORT1_PIN13_PORT


#endif


#if defined (MATRIX_KEYBOARD_PORT2_J6)

#define PORT_J6_SET_PIN1   EXP_PORT2_PIN2_LAT
#define PORT_J6_SET_PIN2   EXP_PORT2_PIN3_LAT
#define PORT_J6_SET_PIN3   EXP_PORT2_PIN4_LAT
#define PORT_J6_SET_PIN4   EXP_PORT2_PIN5_LAT
#define PORT_J6_SET_PIN5   EXP_PORT2_PIN6_LAT


#define PORT_J6_GET_PIN1   EXP_PORT2_PIN9_PORT
#define PORT_J6_GET_PIN2   EXP_PORT2_PIN10_PORT
#define PORT_J6_GET_PIN3   EXP_PORT2_PIN11_PORT
#define PORT_J6_GET_PIN4   EXP_PORT2_PIN12_PORT
#define PORT_J6_GET_PIN5   EXP_PORT2_PIN13_PORT


#endif

#endif

#endif	/* MATRIX_KEYBOARD_H */

