/********************************************************************
 FileName:    	stopwatch.c
 Dependencies: 	aguijon.h
 Hardware:	Aguijon rev3.0 & rev4.0
 Complier:  	Microchip XC16, C30
 Company:	Vinagrn Digital
 Author:	Juan Carlos Orozco Gutierrez

 Software License Agreement:

 This software has been licensed under the GNU General Public
 License is intended to guarantee your freedom to share and change free
 software--to make sure the software is free for all its users.

********************************************************************
 File Description:
    stopwatch application file


 Change History:
  Rev   Description                                 Modified by:
  ----  -----------------------------------------  --------------
  1.0   Initial release                             JCOG  

 For extra documentation and support:
 *  http://www.vinagrondigital.com
********************************************************************/
#include "aguijon.h"
#include "stopwatch.h"
#include "timers.h"
#include "outputs.h"
#include "realtime.h"


 void Alarm_actived (void)
 {
//    Buzzer_On(4000,50);
    RLY_Set(1,ON);
    delayms(500);
//    Buzzer_Off();
    RLY_Set(1,OFF);
    delayms(500);
 }

 void TIME_Set(char set,char first,char second)
{
    int value=0, a=0, b=0,c=0,d=0;

    a = first / 10;
    b = first - (a*10) ;
    c = second / 10;
    d = second - (c*10);

    value  = d;
    value += (c*16);
    value += (b*256);
    value += (a*4096);

    if (set == SET_YEAR)
        RCFGCALbits.RTCPTR = 3;
    if (set == SET_MTHDY)
        RCFGCALbits.RTCPTR = 2;
    if (set == SET_WKDYHR)
        RCFGCALbits.RTCPTR = 1;
    if (set == SET_MINSEC)
        RCFGCALbits.RTCPTR = 0;

    RTCVAL = value;
}

 int TIME_Get (char get)
{
    int result=0, units=0, tens=0;

    if(get == GET_YEAR) {
        RCFGCALbits.RTCPTR = 3;
        tens  = (RTCVAL & 0b11110000)>>4;
        RCFGCALbits.RTCPTR = 3;
        units = (RTCVAL & 0b1111);
    }
    if(get == GET_MONTH) {
        RCFGCALbits.RTCPTR = 2;
        tens  = (RTCVAL & 0b1000000000000)>>12;
        RCFGCALbits.RTCPTR = 2;
        units = (RTCVAL & 0b111100000000)>>8;
    }
    if(get == GET_DAY) {
        RCFGCALbits.RTCPTR = 2;
        tens  = (RTCVAL & 0b110000)>>4;
        RCFGCALbits.RTCPTR = 2;
        units = (RTCVAL & 0b1111);
    }
    if(get == GET_WEEKDAY) {
        RCFGCALbits.RTCPTR = 1;
        units = (RTCVAL & 0b11100000000)>>8;
    }
    if(get == GET_HOURS) {
        RCFGCALbits.RTCPTR = 1;
        tens  = (RTCVAL & 0b110000)>>4;
        RCFGCALbits.RTCPTR = 1;
        units = (RTCVAL & 0b1111);
    }
    if(get == GET_MINUTES) {
        RCFGCALbits.RTCPTR = 0;
        tens  = (RTCVAL & 0b111000000000000)>>12;
        RCFGCALbits.RTCPTR = 0;
        units = (RTCVAL & 0b111100000000)>>8;
    }
    if(get == GET_SECONDS) {
        RCFGCALbits.RTCPTR = 0;
        tens  = (RTCVAL & 0b1110000)>>4;
        RCFGCALbits.RTCPTR = 0;
        units = (RTCVAL & 0b1111);
    }

    tens *= 10;
    result=tens+units;
    return result;
}