/********************************************************************
 FileName:    	stopwatch.h
 Dependencies: 	none
 Hardware:	Aguijon rev3.0 & rev4.0
 Complier:  	Microchip XC16, C30
 Company:	Vinagrn Digital
 Author:	Juan Carlos Orozco Gutierrez

 Software License Agreement:

 This software has been licensed under the GNU General Public
 License is intended to guarantee your freedom to share and change free
 software--to make sure the software is free for all its users.

********************************************************************
 File Description:
    StopWatch support LAB file


 Change History:
  Rev   Description                                 Modified by:
  ----  -----------------------------------------  --------------
  1.0   Initial release                             JCOG

 For extra documentation and support:
 *  http://www.vinagrondigital.com
********************************************************************/

#ifndef STOPWATCH_H
#define	STOPWATCH_H

#define SET_YEAR        0
#define SET_MTHDY       1
#define SET_WKDYHR      2
#define SET_MINSEC      3

#define GET_YEAR        0
#define GET_MONTH       1
#define GET_DAY         2
#define GET_WEEKDAY     3
#define GET_HOURS       4
#define GET_MINUTES     5
#define GET_SECONDS     6


typedef struct __ALARM_CONTROL__{
    unsigned char Days       ;
    unsigned char Hour       ;
    unsigned char Min        ;
}ALARM_CONTROL_t;


void        TIME_Set        (char set,char first,char second);
int         TIME_Get        (char get);
void        Alarm_actived   (void);

#endif	/* STOPWATCH_H */

