/********************************************************************
 FileName:    	DAC.h
 Dependencies: 	none
 Hardware:	Aguijon rev3.0 & rev4.0
 Complier:  	Microchip XC16, C30
 Company:	Vinagrn Digital
 Author:	Juan Carlos Orozco Gutierrez

 Software License Agreement:

 This software has been licensed under the GNU General Public
 License is intended to guarantee your freedom to share and change free
 software--to make sure the software is free for all its users.

********************************************************************
 File Description:
    WAVEFORM header file


 Change History:
  Rev   Description                                 Modified by:
  ----  -----------------------------------------  --------------
  1.0   Initial release                             DIRD

 For extra documentation and support:
 *  http://www.vinagrondigital.com
********************************************************************/

#ifndef WAVEFORM_H
#define	WAVEFORM_H

#define total_samples 360
#define SINE        0
#define TRIANGLE    1
#define RAMP        2
#define SQUARE      3

/* Function prototypes*/

void WAVE_Type       (int type);
void WAVE_Frequency  (UINT32 frequency);

#endif	/* WAVEFORM_H */

